html, body {
    width: 100%;
    overflow-x: hidden;
    overflow-y: hidden;
  }
  
  body { 
    margin: 0; 
    padding: 0; 
  }
  
      #map { position: absolute; top: 0; bottom: 0; width: 100%; overflow-x: hidden;
  }

  #map { position: absolute; top: 0; bottom: 0; width: 100%; overflow-x: hidden;
  }



/* Positionera list-container längst ner på sidan, över kartan */
#list-container {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 100px;
    background-color: rgba(32, 32, 36, 0.8);
    z-index: 1000;
    overflow: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 40px; /* Avstånd mellan ikonerna */
}

#extra-list-container {
    position: absolute;
    bottom: 100px;
    left: 0;
    right: 0;
    height: 100px;
    background-color: rgba(32, 32, 36, 0.8);
    z-index: 999;
    overflow: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 40px;
    transform: translateY(0%);
    transition: transform 1s, clip-path 1s;
    clip-path: polygon(0% 100%, 100% 100%, 100% 100%, 0% 100%);
}

#extra-list-container.expanded {
    transform: translateY(0%);
    clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0% 100%);
}


#list-fit {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 50px;
    background-color: rgba(32, 32, 36, 0.8);
    z-index: 1000;
    overflow: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 40px; /* Avstånd mellan ikonerna */
}


/* Lägg till följande regel om du vill att länkar i list-container ska vara stil-lösa */
#list-container a {
    text-decoration: none;
    color: inherit;
}


/* Ikon-stil */
.icon {
    width: 36px;
    height: 36px;
    transition: transform 0.2s ease-in-out; /* Definiera övergångseffekten */
}

.icon_key {
    width: 30px;
    height: 30px;
    margin-top: 5px;
    transition: transform 0.2s ease-in-out; /* Definiera övergångseffekten */
}

.icon_stats {
    width: 34px;
    height: 34px;
    margin-top: -3px;
    transition: transform 0.2s ease-in-out; /* Definiera övergångseffekten */
}

.icon_location {
    width: 64px;
    height: 64px;
    transition: transform 0.2s ease-in-out; /* Definiera övergångseffekten */
}

.icon_warning {
    width: 36px;
    height: 36px;
    margin-top: 2px;
    transition: transform 0.2s ease-in-out; /* Definiera övergångseffekten */
}

.icon_settings {
    width: 30px;
    height: 30px;
    margin-top: 0px;
    transition: transform 0.2s ease-in-out; /* Definiera övergångseffekten */
}

.icon:hover, .icon_key:hover, .icon_stats:hover, .icon_location:hover, .icon_warning:hover, .icon_settings:hover  {
    transform: scale(1.2); /* Öka storleken med 20%  */
    cursor: pointer;
}

.report-content {
    position: absolute; 
    top: 10px;
    width: 100%;
    height: 100%;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 24px;
    color: #bbb;
    }
    
    .rounded-rect {
    background: #616163;
    border-radius: 10px;
    box-shadow: 0 0 50px -25px black;
    }
     
    .flex-center {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    }
     
    .flex-center.left {
    left: 0px;
    }
     
    .flex-center.right {
    right: 0px;
    }
     
    .sidebar-content {
    position: absolute;
    width: 98%;
    height: 98%;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 24px;
    color: #bbb;
    background-color: rgba(32, 32, 36, 0.8);
    }
     
    .sidebar-toggle {
    position: absolute;
    width: 1.3em;
    height: 1.3em;
    overflow: visible;
    display: flex;
    justify-content: center;
    align-items: center;
    }
     
    .sidebar-toggle.left {
    right: -1.5em;
    }
     
    .sidebar-toggle.right {
    left: -1.5em;
    }
     
    .sidebar-toggle:hover {
    color: #0aa1cf;
    cursor: pointer;
    }
     
    .sidebar {
      transition: transform 0.8s;
      z-index: 1;
      width: 305px;
      height: calc(100% - 140px); /* Justera höjden med hjälp av calc() */
      position: fixed; /* Fixera sidebaren på skärmen */
      top: 40px; /* Avståndet från överkanten */
      /* Din övriga CSS för sidebaren */
    }
    
     
    /*
    The sidebar styling has them "expanded" by default, we use CSS transforms to push them offscreen
    The toggleSidebar() function removes this class from the element in order to expand it.
    */
    .left.collapsed {
    transform: translateX(-295px);
    }
     
    .right.collapsed {
    transform: translateX(295px);
    }
    
    
    
    #skandinavien, #sweden, #uk, #island, #kanada, #nyazeeland {
    display: block;
    position: relative;
    margin: 0px auto;
 /*   width: 20px; */
    height: 25px;
    padding: 5px;
    border: none;
    border-radius: 3px;
    font-size: 12px;
    text-align: center;
    color: #bbb;
    background: #616163;
}
    
    .sidebar.bottom {
      position: fixed;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 300px;
      background-color: #f8f9fa;
      overflow: hidden;
      transition: transform 0.2s;
      z-index: 1;
    }
    
    .sidebar.bottom.collapsed {
      transform: translateY(100%);
    }
    
    .sidebar.bottom.expanded {
      transform: translateY(0);
    }
    


@media screen and (max-width: 1200px) {
    /* Lägg till din CSS för mobiltelefoner här */
  
 
  
  }
  



